azure-cli (2.49.0-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/2.49.0'
  * Drop python3-pymysql dependency, no longer needed
  * Add dependencies on paramiko and oauthlib
  * Skip new test that requires network access

 -- Luca Boccassi <bluca@debian.org>  Thu, 15 Jun 2023 10:28:11 +0100

azure-cli (2.45.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.45.0' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Sat, 11 Feb 2023 00:59:20 +0000

azure-cli (2.44.1-2) unstable; urgency=medium

  * Note new minimum python3-azure and python3-azure-multiapi-storage
    required versions

 -- Luca Boccassi <bluca@debian.org>  Sun, 15 Jan 2023 14:09:35 +0000

azure-cli (2.44.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.44.1' into debian/sid
  * Drop subparser-fix.patch, fixed upstream
  * Bump Standards-Version to 4.6.2, no changes
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Thu, 12 Jan 2023 10:47:45 +0000

azure-cli (2.43.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.43.0' into debian/sid
  * Bump dependency on python3-azure
  * Drop dependency on python3-azure-devtools, deprecated
  * Add new build dependency on python3-configargparse
  * Add patch to fix build with Python 3.11 (Closes: #1024856)
  * Skip more broken tests incompatible with python 3.11

 -- Luca Boccassi <bluca@debian.org>  Wed, 07 Dec 2022 17:37:01 +0000

azure-cli (2.42.0-1) unstable; urgency=medium

  * Bump python3-msal dependency requirement
  * Drop obsolete dependency
  * Merge tag 'azure-cli-2.42.0' into debian/sid
  * Add new dependency on pymysql

 -- Luca Boccassi <bluca@debian.org>  Tue, 01 Nov 2022 22:25:17 +0000

azure-cli (2.41.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.41.0' into debian/sid
  * Ignore azps.ps1, Windows file
  * Update test handling following upstream changes

 -- Luca Boccassi <bluca@debian.org>  Wed, 12 Oct 2022 10:17:55 +0100

azure-cli (2.40.0-1) unstable; urgency=medium

  * Update Lintian overrides
  * Merge tag 'azure-cli-2.40.0' into debian/sid
  * Bump dependencies on knack and azure-multiapi-storage
  * Ignore az.ps1, Windows file

 -- Luca Boccassi <bluca@debian.org>  Thu, 08 Sep 2022 12:37:34 +0100

azure-cli (2.39.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.39.0' into newver
  * Skip new failing tests

 -- Luca Boccassi <bluca@debian.org>  Tue, 02 Aug 2022 12:45:21 +0100

azure-cli (2.38.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.38.0' into debian/sid
  * Bump build-dependencies

 -- Luca Boccassi <bluca@debian.org>  Mon, 11 Jul 2022 12:38:41 +0100

azure-cli (2.37.0-2) unstable; urgency=medium

  * Switch from register-python-argcomplete3 to register-python-
    argcomplete (Closes: #1013629)

 -- Luca Boccassi <bluca@debian.org>  Mon, 27 Jun 2022 14:06:24 +0100

azure-cli (2.37.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.37.0' into debian/sid
  * Bump Standards-Version to 4.6.1, no changes
  * Bump dependencies on python3-msal and python3-azure-multiapi-storage

 -- Luca Boccassi <bluca@debian.org>  Tue, 24 May 2022 15:25:10 +0100

azure-cli (2.36.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.36.0' into debian/sid
  * Bump dependency on python3-msal-extensions to >= 1.0.0

 -- Luca Boccassi <bluca@debian.org>  Tue, 26 Apr 2022 13:54:25 +0100

azure-cli (2.35.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.35.0' into debian/sid
  * Skip new, broken tests

 -- Luca Boccassi <bluca@debian.org>  Thu, 07 Apr 2022 14:59:26 +0100

azure-cli (2.34.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.34.0' into debian/sid
  * Bump dependency on python3-azure
  * Merge tag 'azure-cli-2.34.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Thu, 03 Mar 2022 16:35:10 +0000

azure-cli (2.33.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.33.1' into newver

 -- Luca Boccassi <bluca@debian.org>  Mon, 14 Feb 2022 10:42:10 +0000

azure-cli (2.33.0-2) unstable; urgency=medium

  * Use runpy instead of os.execl (Closes: #1005251)

 -- Luca Boccassi <bluca@debian.org>  Fri, 11 Feb 2022 19:45:53 +0000

azure-cli (2.33.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.33.0' into debian/sid
  * Disable new tests that require network connectivity

 -- Luca Boccassi <bluca@debian.org>  Tue, 08 Feb 2022 12:26:26 +0000

azure-cli (2.32.0-2) unstable; urgency=medium

  * Bump dependency on python3-msal

 -- Luca Boccassi <bluca@debian.org>  Mon, 17 Jan 2022 16:38:33 +0000

azure-cli (2.32.0-1) unstable; urgency=medium

  * Add versioned dependencies to ensure modules are updated together
  * Merge tag 'azure-cli-2.32.0' into debian/sid
  * Switch to dh-sequence-python3
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Mon, 10 Jan 2022 11:50:20 +0000

azure-cli (2.31.0-2) unstable; urgency=medium

  * B-D on pylint instead of pylint3 (Closes: #1001547)

 -- Luca Boccassi <bluca@debian.org>  Sun, 12 Dec 2021 14:34:02 +0000

azure-cli (2.31.0-1) unstable; urgency=medium

  * Bump minimum dependency on python3-jwt
  * Bump minimum dependency on python3-knack
  * Merge tag 'azure-cli-2.31.0' into debian/sid
  * Bump copyright year ranges in d/copyright

 -- Luca Boccassi <bluca@debian.org>  Tue, 07 Dec 2021 12:11:41 +0000

azure-cli (2.30.0-2) unstable; urgency=medium

  * autopkgtest: skip more unreliable tests

 -- Luca Boccassi <bluca@debian.org>  Sat, 06 Nov 2021 20:32:01 +0000

azure-cli (2.30.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.30.0' into debian/sid
    (Closes: #994266, #986657, #989670, #989676)
  * Update build dependencies for 2.30.0
  * Drop obsolete crypto_dependency.patch
  * Bump Standards-Version to 4.6.0, no changes
  * autopkgtest: add dependency on python3-all:any
  * Skip broken test
  * Ignore very-long-line-length-in-source-file lintian warning
  * python3-azure-cli-core: update Lintian warning paths
  * Differentiate short descriptions

 -- Luca Boccassi <bluca@debian.org>  Thu, 04 Nov 2021 23:46:19 +0000

azure-cli (2.18.0-2) unstable; urgency=medium

  * Add build-dependency on antlr4

 -- Luca Boccassi <bluca@debian.org>  Tue, 20 Apr 2021 22:27:36 +0100

azure-cli (2.18.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.18.0' into debian/sid
  * Bump dependency on python3-knack
  * Disable broken test
  * Add patch to force AZ_INSTALLER=DEB

 -- Luca Boccassi <bluca@debian.org>  Mon, 25 Jan 2021 15:43:00 +0000

azure-cli (2.17.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.17.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Mon, 04 Jan 2021 11:07:44 +0000

azure-cli (2.17.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.17.0' into debian/sid
  * Bump dependency on python3-azure as required

 -- Luca Boccassi <bluca@debian.org>  Tue, 29 Dec 2020 19:14:02 +0000

azure-cli (2.16.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.16.0' into newver
  * Bump Standards-Version to 4.5.1, no changes
  * Bump debhelper-compat to 13
  * Bump dependency on python-azure

 -- Luca Boccassi <bluca@debian.org>  Fri, 11 Dec 2020 19:37:25 +0000

azure-cli (2.14.2-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.14.2' into debian/sid
  * Add missing dependency on python3-decorator

 -- Luca Boccassi <bluca@debian.org>  Mon, 09 Nov 2020 13:54:00 +0000

azure-cli (2.14.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.14.1' into debian/sid

 -- Luca Boccassi <bluca@debian.org>  Fri, 06 Nov 2020 13:54:21 +0000

azure-cli (2.14.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.12.1' into debian/sid
  * Add new dependencies
  * Drop token_timezone.patch, fixed upstream
  * Merge tag 'azure-cli-2.14.0' into debian/sid
  * Refresh crypto_dependency.patch to remove fuzz from 2.14.0
  * Skip new, broken test
  * Bump python3-azure dependency
  * Override false positive Lintian Warning

 -- Luca Boccassi <bluca@debian.org>  Wed, 28 Oct 2020 13:56:52 +0000

azure-cli (2.11.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Luca Boccassi ]
  * Merge tag 'azure-cli-2.11.1' into debian/sid
  * Bump dependencies requirements for version 2.11.1
  * Drop antlr4_workaround.patch, merged upstream
  * Add crypto_dependency.patch to remove upper python3-cryptography
    version limit (Closes: #969565)
  * Skip new flaky tests
  * Add more tests and caches to d/not-installed
  * azure/cli/__init__.py is not installed anymore

 -- Luca Boccassi <bluca@debian.org>  Sat, 26 Sep 2020 14:49:48 +0100

azure-cli (2.10.1-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.10.1' into debian/sid
  * Bump dependencies to match v2.10.1 requirements
  * Add antlr4_workaround.patch to workaround missing antlr4
  * Re-enable tests that were disabled because of azure-storage bugs
  * Deselect new tests that fail without internet connection
  * Add new build dependency on python3-tz
  * Add token_timezone.patch to always use UTC for token expiration
    timestamps
  * Remove redundant autopkgtest from Testsuite field in d/control

 -- Luca Boccassi <bluca@debian.org>  Fri, 07 Aug 2020 14:28:16 +0100

azure-cli (2.7.0-1) unstable; urgency=medium

  * Bump dependency on python-azure to new version for storage blob APIs
  * Bump dependency on knack to new version for new config API
  * Merge tag 'azure-cli-2.7.0' into debian/sid
  * Drop 0001-Extension-tests-do-not-import-from-absolute-path.patch,
    merged upstream

 -- Luca Boccassi <bluca@debian.org>  Thu, 18 Jun 2020 19:41:15 +0100

azure-cli (2.6.0-1) unstable; urgency=medium

  * Merge tag 'azure-cli-2.6.0' into debian/sid
    (Closes: #959630, #958979)
  * Drop patches, merged upstream
  * Exclude new tests that require working connection to Azure
  * Patch unit test to avoid global import of test module
  * Add new build-deps for tests

 -- Luca Boccassi <bluca@debian.org>  Thu, 21 May 2020 09:37:29 +0100

azure-cli (2.0.81+ds-5) unstable; urgency=medium

  * Skip test_acr_commands_mock.py and test_webapp_commands_thru_mock.py,
    they need deprecated BlockBlobService from azure-storage-blob

 -- Luca Boccassi <bluca@debian.org>  Wed, 15 Apr 2020 11:01:48 +0100

azure-cli (2.0.81+ds-4) unstable; urgency=medium

  * Backport 0002-humanfriendly-8.0-compat.patch. Fixes compatibility with
    python3-humanfriendly >= 8.0. (Closes: #955000)

 -- Luca Boccassi <bluca@debian.org>  Sat, 28 Mar 2020 09:36:59 +0000

azure-cli (2.0.81+ds-3) unstable; urgency=medium

  * Fix Lintian Warning: description-synopsis-starts-with-article
  * List azure-cli* modules in py3dist-overrides
  * Add build-dependency on multiapi-storage for tests
  * Add Build-Depends on python3-all and python3-setuptools
  * Remove nocheck from Build-Depends on python3-argcomplete
  * Sort module list to make the build reproducible
  * Enable self-tests on build, select those that can run without the
    network
  * Add autopkgtest support
  * Move package under Python Modules Team maintenance
  * Fix dependency, pyjavaproperties -> javaproperties

 -- Luca Boccassi <bluca@debian.org>  Sun, 08 Mar 2020 10:57:27 +0000

azure-cli (2.0.81+ds-2) unstable; urgency=medium

  * Depend on python3-azure >= 20200130+git-1~.
  * Add patch to load extensions from system path. Packages can
    install extensions in:
    /usr/lib/python3/dist-packages/azure-cli-extensions/<NAME>
    The module directory and the egg-info directory can also be just
    symlinked in the <NAME> directory.

 -- Luca Boccassi <bluca@debian.org>  Wed, 26 Feb 2020 22:44:02 +0000

azure-cli (2.0.81+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #930413)

 -- Luca Boccassi <bluca@debian.org>  Fri, 21 Feb 2020 19:25:30 +0000
